Subject: Re: [RFC] Moving toward smarter disabling of FPRs, VRs, and VSRs in the MSR

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 14 Mar 2009 14:22:18 +1100

> Both of these thoughts came to mind.  I don't have a particular
> preference.  It's very likely that a process which results in the
> enabling of FP,VMX, or VSX may continue to use the facility for the
> duration of it's lifetime.  Threads would be even more likely to exhibit
> this behavior.
> 
> The case where this might not be true is if we use VMX or VSX for string
> routine optimization in GLIBC.  This will require metrics to prove it's
> utility of course.  Perhaps what I can do in the string routines is
> check if the bits are already set and use the facility if it is already
> enabled and the usage scenario warrants it, i.e. if the size and
> alignment of the data are in a sweet spot as indicated by profiling
> data.

Or we just add some instrumentation to today kernel to see how often
those gets enabled and then not-re-enabled on the next time slice and do
some stats with common workloads.

Ben.